Problems with require fields using source on my form